package com.zcloud.basic.info.domain.gateway;


import com.zcloud.basic.info.domain.model.UserEmploymentLogE;

/**
 * web-domain
 *
 * @Author zhangyue
 * @Date 2025-11-06 19:15:37
 */
public interface UserEmploymentLogGateway {

    /**
     * 新增
     */
    Boolean add(UserEmploymentLogE userEmploymentLogE);

    /**
     * 修改
     */
    Boolean update(UserEmploymentLogE userEmploymentLogE);

    /**
     * 删除
     */
    Boolean deletedUserEmploymentLogById(Long id);

    Boolean deletedUserEmploymentLogByIds(Long[] id);
}

